> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Dry-run a transform on one row + cost estimate

> Run the selected transform on ONE real source row and return the output
plus a cost estimate (per-row cost × source row count). Validates the
transform end-to-end before enabling the full pipeline.



## OpenAPI

````yaml /api-reference/catalog-api.json post /connectors/{connector_type}/ai-preview
openapi: 3.1.0
info:
  title: Strattum Catalog API
  description: Expõe a estrutura do data lake — camadas, conectores e tabelas.
  version: 0.1.0
servers: []
security: []
paths:
  /connectors/{connector_type}/ai-preview:
    post:
      tags:
        - connectors
      summary: Dry-run a transform on one row + cost estimate
      description: |-
        Run the selected transform on ONE real source row and return the output
        plus a cost estimate (per-row cost × source row count). Validates the
        transform end-to-end before enabling the full pipeline.
      operationId: ai_preview_connectors__connector_type__ai_preview_post
      parameters:
        - name: connector_type
          in: path
          required: true
          schema:
            type: string
            title: Connector Type
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AIPreviewRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Ai Preview Connectors  Connector Type  Ai Preview
                  Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AIPreviewRequest:
      properties:
        transform_file:
          type: string
          title: Transform File
        branch:
          anyOf:
            - type: string
            - type: 'null'
          title: Branch
        sha:
          anyOf:
            - type: string
            - type: 'null'
          title: Sha
      type: object
      required:
        - transform_file
      title: AIPreviewRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````